Deployed State
This contains APIs for tracking changeSet deployment status
Status of changeset deployment as part of execution with comparison to earlier state.
Organization identifier
Project identifier
Identifier of the database schema
database instance unique id
Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.
0Pagination: Number of items to return.
10Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.
Input for getting execution deployed states
identifier of the pipeline
start time of step execution
0Response
Error Response body
Error Response body
Error Response body
Error Response body
POST /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance/{dbinstance}/deployedState HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"pipeline": "text",
"planExecutionId": "text",
"stageExecutionId": "text",
"startTime": 0,
"stepType": "DBSchemaApply"
}[
{
"author": "text",
"changeSetFQN": "text",
"changeSetId": "text",
"command": "Update",
"comment": "text",
"deployedAt": 1,
"deployedInCurrentExecution": true,
"fileName": "text",
"label": "text",
"metadata": {
"pipeline": "text",
"planExecutionId": "text",
"stageExecutionId": "text"
},
"status": "IN_PROGRESS",
"tag": "text"
}
]Last updated
Was this helpful?